# Obtain NAT Gateway Information - DescribeNATGW

## Overview

Obtain NAT Gateway Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNATGW`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project Id. If not filled in, the default project is used. Sub-accounts must fill in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NATGWIds.N** | string | NAT Gateway Id. Defaults to all NAT Gateways under this project. |No|
| **Offset** | int | Data offset. Default is 0 |No|
| **Limit** | int | Data pagination value. Default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of instances that meet the conditions |**Yes**|
| **DataSet** | array[[*NatGatewayDataSet*](#natgatewaydataset)] | Retrieved NATGW Information List |No|

#### Data Model


#### NatGatewayDataSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **NATGWId** | string | natgw id |**Yes**|
| **NATGWName** | string | natgw name |**Yes**|
| **Tag** | string | Business Group |**Yes**|
| **Remark** | string | Note |**Yes**|
| **CreateTime** | int | natgw creation time |**Yes**|
| **FirewallId** | string | Bound Firewall Id |**Yes**|
| **VPCId** | string | Belonging VPC Id |**Yes**|
| **SubnetSet** | array[[*NatGatewaySubnetSet*](#natgatewaysubnetset)] | Subnet Id |**Yes**|
| **IPSet** | array[[*NatGatewayIPSet*](#natgatewayipset)] | Bound EIP Information |**Yes**|
| **VPCName** | string | VPC Name |**Yes**|
| **IsSnatpoolEnabled** | string | Enumeration value, "enable", the default export rule uses load balancing; "disable", the default export rule does not use load balancing. |**Yes**|
| **PolicyId** | array[string] | Forwarding Strategy Id |**Yes**|

#### NatGatewaySubnetSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Subnet** | string | Subnet Segment |**Yes**|
| **SubnetworkId** | string | Subnet ID |No|
| **SubnetName** | string | Subnet Name |No|

#### NatGatewayIPSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **EIPId** | string | EIPId of Public IP |**Yes**|
| **Weight** | int | The one with a weight of 100 is the exit. |**Yes**|
| **BandwidthType** | string | EIP Bandwidth Type |**Yes**|
| **Bandwidth** | int | Bandwidth |**Yes**|
| **IPResInfo** | array[[*NatGWIPResInfo*](#natgwipresinfo)] | Public IP Information |**Yes**|

#### NatGWIPResInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **OperatorName** | string | ISP Information of the IP |**Yes**|
| **EIP** | string | EIP |**Yes**|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=DescribeNATGW
&Region=xxx
&ProjectId=xxx
&NATGWIds.0=urIvqFth
&Offset=2
&Limit=8
```

### Response Example
    
```json
{
  "Action": "DescribeNATGWResponse",
  "DataSet": [
    {
      "CreateTime": 1541056378,
      "FirewallId": "firewall-fadbay",
      "IPSet": [
        {
          "Bandwidth": 1,
          "BandwidthType": "Bandwidth",
          "EIPId": "eip-kti5zt",
          "EIPUUID": "eip-kti5zt",
          "IPResInfo": [
            {
              "EIP": "106.75.171.117",
              "OperatorName": "Bgp"
            }
          ],
          "Weight": 50
        }
      ],
      "NATGWId": "natgw-ay4tpe",
      "NATGWName": "nat-spider-test",
      "PolicyId": [],
      "Remark": "",
      "SubnetSet": [
        {
          "Subnet": "192.168.0.0/26",
          "SubnetName": "subnet-spider-test",
          "SubnetworkId": "subnet-kfi5wu",
          "SubnetworkUUID": "subnet-kfi5wu"
        }
      ],
      "Tag": "Default",
      "VPCId": "uvnet-4au5pv",
      "VPCName": "vpc-spider-test"
    },
    {
      "CreateTime": 1508817896,
      "FirewallId": "firewall-fadbay",
      "IPSet": [
        {
          "Bandwidth": 2,
          "BandwidthType": "Bandwidth",
          "EIPId": "eip-zqnjjh",
          "EIPUUID": "eip-zqnjjh",
          "IPResInfo": [
            {
              "EIP": "106.75.154.101",
              "OperatorName": "Bgp"
            }
          ],
          "Weight": 50
        }
      ],
      "NATGWId": "natgw-d0ubto",
      "NATGWName": "xxxxxx",
      "PolicyId": [],
      "Remark": "",
      "SubnetSet": [
        {
          "Subnet": "10.14.128.0/17",
          "SubnetName": "subnet-quyang",
          "SubnetworkId": "subnet-t1lhkw",
          "SubnetworkUUID": "subnet-t1lhkw"
        }
      ],
      "Tag": "xxxx",
      "VPCId": "uvnet-cvkbyg",
      "VPCName": "DefaultVPC"
    },
    {
      "CreateTime": 1542097658,
      "FirewallId": "firewall-itqvoh",
      "IPSet": [
        {
          "Bandwidth": 1,
          "BandwidthType": "Bandwidth",
          "EIPId": "eip-1ir5ot",
          "EIPUUID": "eip-1ir5ot",
          "IPResInfo": [
            {
              "EIP": "106.75.188.86",
              "OperatorName": "Bgp"
            }
          ],
          "Weight": 50
        }
      ],
      "NATGWId": "natgw-frwr22",
      "NATGWName": "natgw容灾测试",
      "PolicyId": [],
      "Remark": "",
      "SubnetSet": [
        {
          "Subnet": "192.168.128.0/17",
          "SubnetName": "容灾测试11",
          "SubnetworkId": "subnet-jrqoqo",
          "SubnetworkUUID": "subnet-jrqoqo"
        }
      ],
      "Tag": "Default",
      "VPCId": "uvnet-2b15h0",
      "VPCName": "容灾测试11"
    },
    {
      "CreateTime": 1541043690,
      "FirewallId": "firewall-fadbay",
      "IPSet": [
        {
          "Bandwidth": 2,
          "BandwidthType": "Bandwidth",
          "EIPId": "eip-z1pnbo",
          "EIPUUID": "eip-z1pnbo",
          "IPResInfo": [
            {
              "EIP": "106.75.169.103",
              "OperatorName": "Bgp"
            }
          ],
          "Weight": 50
        }
      ],
      "NATGWId": "natgw-m1zj4z",
      "NATGWName": "abtesst_uxr_natgw_128",
      "PolicyId": [],
      "Remark": "",
      "SubnetSet": [
        {
          "Subnet": "10.128.10.0/24",
          "SubnetName": "abtest_uxr_subnet_128_1",
          "SubnetworkId": "subnet-ehkpnt",
          "SubnetworkUUID": "subnet-ehkpnt"
        },
        {
          "Subnet": "10.128.20.0/24",
          "SubnetName": "abtest_uxr_subnet_128_2",
          "SubnetworkId": "subnet-gttjg5",
          "SubnetworkUUID": "subnet-gttjg5"
        }
      ],
      "Tag": "Default",
      "VPCId": "uvnet-wmrnvj",
      "VPCName": "abtest_for_uxr"
    },
    {
      "CreateTime": 1541043825,
      "FirewallId": "firewall-fadbay",
      "IPSet": [
        {
          "Bandwidth": 2,
          "BandwidthType": "Bandwidth",
          "EIPId": "eip-nzkt14",
          "EIPUUID": "eip-nzkt14",
          "IPResInfo": [
            {
              "EIP": "106.75.138.165",
              "OperatorName": "Bgp"
            }
          ],
          "Weight": 50
        }
      ],
      "NATGWId": "natgw-0byxyr",
      "NATGWName": "abtest_uxr_natgw_129",
      "PolicyId": [],
      "Remark": "",
      "SubnetSet": [
        {
          "Subnet": "10.129.10.0/24",
          "SubnetName": "abtest_uxr_subnet_129",
          "SubnetworkId": "subnet-c4vxvi",
          "SubnetworkUUID": "subnet-c4vxvi"
        }
      ],
      "Tag": "Default",
      "VPCId": "uvnet-ebh53o",
      "VPCName": "abtest_for_uxr_2"
    }
  ],
  "RetCode": 0,
  "TotalCount": 5
}
```





